Date.prototype.getMonthName = function(index){
    var _months = [
        'January',
        'February',
        'March',
        'April',
        'May',
        'June',
        'July',
        'August',
        'September',
        'October',
        'November',
        'December'
    ];

    return _months[index];
}

Date.prototype.getDayName = function(index){
    var _weeks = [
        'Sunday',
        'Monday',
        'Tuesday',
        'Wednesday',
        'Thursday',
        'Friday',
        'Saturday'
    ];

    return _weeks[index];
}
var Common = (function(){

    return {
        descDate: function(){

            // Holds date object
            var _date = new Date();

            return _date.getDayName(_date.getDay())+', '+_date.getMonthName(_date.getMonth())+' '+(_date.getDate());
        },
        getTime: function(){

            var _date = new Date();

            return _date.getHours()+':'+_date.getMinutes();
        }
    }
})();